LN(1)

NAZWA
ln - tworzy dowiązania między plikami

SKŁADNIA
ln [opcja]... źródło [nazwa_dowiązania]
ln [opcja]... źródło... katalog

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo ln
lub
    info ln.

Ta strona podręcznika opisuje polecenie ln w wersji GNU.

ln działa podobnie do cp - poza tym iż, cp tworzy niezależną kopię pliku zaś ln jedynie dowiązanie.

"Dowiązanie twarde" (hard link) jest inną nazwą istniejącego pliku. Dowiązanie i oryginalna nazwa są w pełni równoprawne. (Technicznie rzecz biorąc, posiadają ten sam i-węzeł, zaś i-węzeł zawiera całą informację o pliku - faktycznie nie jest błędem stwierdzenie, iż i-węzeł *jest* plikiem.) W ten sposób plik może występować pod wieloma równoważnymi nazwami - wskazującymi na te same dane. Usunięcie jednej z tych nazw przez rm nie powoduje jeszcze usunięcia pliku. Jest on usuwany dopiero z chwilą usunięcia ostatniej nazwy.
We wszystkich istniejących implementacjach nie można tworzyć twardych dowiązań do katalogów, a dowiązania twarde nie mogą przekraczać granic systemów plików. (Ograniczenia te nie są jednak narzucone przez POSIX.)

"Dowiązania symboliczne" (symbolic link, symlink), z drugiej strony, są specjalnym typem plików (nie obsługiwanym przez wszystkie jądra; w szczególności system V release 3 i starsze nie posiadają dowiązań symbolicznych), w którym plik dowiązania faktycznie wskazuje na inny plik (przez nazwę). Dla większości operacji (otwarcie, odczyt, zapis i tak dalej) otrzymujących jako argument dowiązanie symboliczne jądro automatycznie "odwskaźnikowuje" dowiązanie i działa na samym celu dowiązania. Przy niektórych (np. usuwanie) działa na samym dowiązaniu, nie zaś na celu przez nie wskazywanym.

Jeśli podano tylko jeden argument - nazwę pliku, to ln utworzy w bieżącym katalogu dowiązanie do niego mające taką samą nazwę (oczywiście nie można w ten sposób utworzyć dowiązania do pliku w bieżącym katalogu).
Jeśli podano dwa argumenty typu plik, to drugi z nich zostanie utworzony jako dowiązanie do pierwszego.
Jeśli ostatni z argumentów określa istniejący katalog, to w tym katalogu zostaną utworzone dowiązania do plików podanych jako poprzednie argumenty. (Patrz jednak opis opcji --no-deference). Dowiązania te będą mieć takie nazwy, jak pliki źródłowe. Podanie więcej niż dwu argumentów, z których ostatni nie jest katalogiem jest błędem.
Domyślnie ln tworzy dowiązania twarde (hard links). Przy tworzeniu dowiązań twardych każde źródło (plik, do którego tworzymy nowe dowiązanie) musi istnieć. Bez opcji -f lub -i polecenie ln nie usuwa istniejącego pliku. Do zmiany nazwy istniejących plików służy opcja --backup.

OPCJE

-b [metoda], --backup[=metoda]
    Tworzy kopie zapasowe istniejących plików docelowych. Zobacz opis opcji -V oraz sekcja `Opcje kopii zapasowych' w podręczniku fileutils(1).

-d, -F, --directory
    Pozwala użytkownikowi uprzywilejowanemu (root) na tworzenie dowiązań twardych (hardlinks) do katalogów.

-f, --force
    Usuwa istniejące pliki docelowe.

-i, --interactive
    Pyta czy nadpisywać istniejące pliki docelowe.

-n, --no-dereference
    Gdy podany cel jest dowiązaniem symbolicznym do katalogu, próbuje zamienić to dowiązanie symboliczne zamiast tworzyć plik w katalogu, na który ono wskazuje.
    Gdy cel jest nazwą rzeczywistego katalogu (a nie dowiązania symbolicznego), nie ma żadnych dwuznaczności. Dowiązanie jest tworzone w tym katalogu. Jeśli jednak podany cel jest symbolicznym dowiązaniem do katalogu, to istnieją dwa sposoby potraktowania żądania użytkownika. ln może potraktować cel tak, jakby był zwykłym katalogiem (na który wskazuje dowiązanie) i utworzyć w nim żądane dowiązanie. Z drugiej strony, cel może być postrzegany jako nie-katalog -- dowiązanie symboliczne samo w sobie. W tym przypadku ln musi usunąć lub utworzyć kopię tego dowiązania przed utworzeniem nowego dowiązania. Domyślnym sposobem działania jest traktowanie celu będącego dowiązaniem symbolicznym do katalogu tak jak katalogu. Przy użyciu opcji -n będzie on traktowany jak dowiązanie.

-s, --symbolic
    Tworzy dowiązania symboliczne zamiast dowiązań twardych. Ta opcja wypisuje błąd na systemach nie obsługujących dowiązań symbolicznych.

-S przyr_kopii, --suffix=przyr_kopii
    Dodaje przyrostek przyr_kopii do nazwy każdego pliku kopii zapasowej wykonanego przy pomocy -b. Jeśli opcja ta nie zostanie podana, to użyta zostanie wartość zmiennej środowiskowej SIMPLE_BACKUP_SUFFIX. Jeśli ona również nie jest określona, to użyty zostanie domyślny znak `~', jak w Emacsie.

--target-directory=katalog
    Określa katalog docelowy. Zobacz sekcja `Katalog docelowy' w fileutils(1).

-v, --verbose
    Przed utworzeniem dowiązania do każdego pliku wypisuje jego nazwę.

-V metoda, --version-control=metoda
    Zmienia typ kopii zapasowych wykonywanych przy pomocy -b. Jeśli opcja ta nie zostanie podana, to użyta zostanie wartość zmiennej środowiskowej VERSION_CONTROL. Jeśli nie zdefiniowano również VERSION_CONTROL to użyta zostanie domyślny typ kopii zapasowej: `existing'. Opcja ta odpowiada zmiennej `version-control' Emacsa: używane są te same wartości dla typu kopii. Rozpoznają także bardziej opisowe synonimy. Prawidłowe wartości to (unikalne skróty są dopuszczalne):

    t, numbered
        Zawsze tworzy numerowane kopie zapasowe.

    nil, existing
        Tworzy numerowane kopie zapasowe plików, które już je mają, zwykłe kopie dla reszty.

    never, simple
        Robi zawsze zwykłe kopie zapasowe (uzyskiwane przez dodanie przyrostka wg opcji -S).

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

PRZYKŁADY

    ln -s /jakas/nazwa
tworzy dowiązanie ./nazwa wskazujące na /jakas/nazwa

    ln -s /jakas/nazwa mojanazwa
tworzy dowiązanie ./mojanazwa wskazujące na /jakas/nazwa

    ln -s a b ..
tworzy dowiązania ../a i ../b wskazujące na ./a i ./b

AUTOR
Napisane przez Mike'a Parkera i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
cp(1), mv(1), rm(1), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.